@import (reference) '../../Board.variables.import.less';

#project-board .panels .panel.phase {

  // Fades when dragging cards and phase is inactive
  opacity: 1.00;
  transition: opacity 0.25s;

  &.faded {
    opacity: 0.5;
  }

  &.ended {
    .phaseScroller {
      opacity: 0.9;
    }
  }

  .panel-header {
    .actions {
      .dropdown.action {
        .menu {
          border-radius: 0;
          left: auto;
          right: 0;
        }
      }
    }
  }

  .panel-footer {
    .actions {
      .action {
        // Add action
        //TODO: This should be a generic button case, not a custom one
        &.add {
          text-align: center;
          color: @white;
          background-color: @darkerColor;
          border-right: 1px solid rgba(0, 0, 0, 0.5);
          cursor: pointer;
          transition: background-color 0.25s, text-shadow 0.25s;

          &:hover {
            background-color: @green;
            text-shadow: @greenTextColor 1px 1px 0;
            border-right: none;
          }
        }
      }
    }
  }

  .empty {
    position: relative;
    display: flex;
    flex-direction: column;
    flex: 1 1;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    color: @white;
    padding: 2em;
    text-align: center;
    line-height: 2rem;
    background-color: lighten(@grey, 15%); //@panelBackgroundColor;
  }

  .panelScroller {
    .card.preview {
      &.linked .cardLayout {
        opacity: 0.25;
      }
    }
  }
}
